Subject: Re: Linux v2.6.16-rc5

From: Olaf Hering <[email-masked]>
Date: Sun, 5 Mar 2006 15:09:32 +0100

On Sun, Feb 26, Linus Torvalds wrote:

> Have I missed anything? Holler. And please keep reminding about any 
> regressions since 2.6.15.

I see random memory corruption on an early G3 ibook.
Testcase is an openSuSE 10.1 installation. 2.6.15 works ok modulo 2 bugs
to get it booted at all, and the usual udev breakage.

plain 2.6.16-rc5-git7 locks up after a few packages, no ping.
Our SuSE kernel does not lockup, but ext2 shows access beyond end of
device after > 200 packages, or the rpmdb gets corrupt, or both. With reiserfs
it gets past 100 packages, then reiserfs complains about fs corruption.
plain -rc2 shows the same reiserfs corruption.
plain -rc1 dies after a few packages, it jumps to 0x0 in softirq.

I'm trying to compile the git snapshots now, which is a real challenge..